
#include <Wire.h>
#include "Silego.h"             // Include Silego header file
#include "macros/SLG46531.h"    // Include macros for SLG46531

byte rows_byte[8];              // Matrix to hold rows bytes
int i=0 ;                       // Counter 
boolean s=0;                    // State flage 

// Create an instance of Silego class called
// "silego" with device address 0x00

Silego silego(0x00);

void setup() {
  Serial.begin(9600);      //Bluetooth module's baud rate
  
}

void loop() {
  while(Serial.available()>0) // Receiving bytes coming from 
 {                           // Bluetooth
   rows_byte[i]=Serial.read();
   delay(5);
   i++;
   s=1;                      // Set flage
   
 }
 if(s==1)                    // Send bytes to GreenPAK using I2c
 {
   silego.writeI2C(ASM_STATE_0, rows_byte[0]);
   silego.writeI2C(ASM_STATE_1, rows_byte[1]);
   silego.writeI2C(ASM_STATE_2, rows_byte[2]);
   silego.writeI2C(ASM_STATE_3, rows_byte[3]);
   silego.writeI2C(ASM_STATE_4, rows_byte[4]);
   silego.writeI2C(ASM_STATE_5, rows_byte[5]);
   silego.writeI2C(ASM_STATE_6, rows_byte[6]);
   silego.writeI2C(ASM_STATE_7, rows_byte[7]);
   s=0;   // Reset flage 
   i=0;   // Reset counter
 }
}
  
